お世話なります。

Writer: admin Type: arte Date: 2019-01-05 00:00
お世話なります。プログラム初心者で、現在rubyを勉強中です。byebugをインストールしようとして、gem install byebug と実行さると失敗します。ログファイルを見ると、make は内部コマンドまたは外部コマンド、操作可能なプログラムまたはバッチファイルとして認識されていません。と出力されています。これを解決する方法を教えて頂きたいです!!環境はWindows10、ruby 2.5.1、gem 2.7.6です。MSYS?もインストール、pacman -Syuuで更新済みです。(このMSYSあたりはよく理解できておりません)以上、よろしくお願い致します。共感した0###makeコマンドが使えていないのは、"ruby devkit"インストール漏れとか、byebug gemの前提gemのイントール漏れでしょう。新し過ぎるバージョンのRubyを使う場合、gemのバージョン選定も、面倒です。そこで、下記サイトから、安定バージョンの組み合わせであることが確認されたRubyと関連モジュールとをワンタッチでインストールできるインストーラを使って、Ruby本体のインストールからやりなおせば良いでしょう。https://bitnami.com/stack/ruby/installerこのサイトによれば、本日時点で安定動作が確認されたバージョンの組み合わせは、Ruby 2.4.5-8 (windows 32bit版) - RubyGems 2.6.14 - Rails 5.0.2 - ImageMagick 6.9.8 - SQLite 3.18.0 - MySQL 5.7.24 - Apache 2.4.37 - Git 2.19.1 - Nginx 1.14.0 - DevKit (Windows only)です。上記をワンタッチ・インストイーラで組み込んだ後、インストール先の”use_ruby.bat"で、コマンドプロンプトを開いて、「gem install byebug」とすれば、インストールできます。ナイス0
###仰る通り、Rubyのバージョンを見直したら問題解決しました!!ありがとうございました!

 

TAG